Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class MoveLocationOtherLocation_PopUp
    Inherits BaseObject
    Private _StorageLocation As StorageLocation
    Private _NewStorageLocation As StorageLocation

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub

    <Browsable(False)> _
    Property StorageLocation As StorageLocation
        Get
            Return _StorageLocation
        End Get
        Set(value As StorageLocation)
            SetPropertyValue("StorageLocation", _StorageLocation, value)

        End Set
    End Property
    <DataSourceCriteria("Storage='@This.StorageLocation.Storage'")> _
    Property NewStorageLocation As StorageLocation
        Get
            Return _NewStorageLocation
        End Get
        Set(value As StorageLocation)
            SetPropertyValue("NewStorageLocation", _NewStorageLocation, value)
        End Set
    End Property
End Class
